# Release Notes

## 6.15.8

* Added review changes for sorting algorithm (EPG-29202)

## 6.15.7

* Backport of replaced sorting algorithm.

## 6.15.6

* Has a critical issue on task rescheduling. Do not use!

## 6.15.5

### Configuration changes

* Configuration for disabling the new "sorting by position" added. This feature is known to cause problems on big
  installations. The default has been set to "off" (Index.sortingByPositionEnabled - default:false)

## 6.15.4

### Configuration changes

* Auto-generation of epagesj.sample.conf. This causes this file to look completely different, although the relevant
  configuration changes are just the ones below.

* Server section moved to EPagesJServer

* Changed SolrClient.updateQueueSize default from 500 to 50. This makes memory consumption of epagesj more stable in 
  cases, where Solr cannot keep up. This has not been seen in production yet. It is more a safety measure.

* Changed SolrClient.addDocsBufferSize default from 500 to 100. Same here. Don't accumulate too many documents to stabilize
  memory consumption.

* Changed Solr.autoOptimizeCheckInSecs default from 120 to 3600. Only check if core optimization is necessary once every hour.
  This should be disabled completely on big sites anyway. core optimization is a very expensive operation in
  solr and only brings short-term benefits because of constant index fragmentation due to index updates.
  Usually the merge strategy configured inside solr is good enough to keep index fragmentation on a stable level.

* Changed DSPool.maxWait default from 1000 to 30000. 30 seconds is the default for webapps to wait for a database connection.
  We experienced production sites that could not free database connections quick enough, which was causing tasks
  to fail.

## 6.15.3

### Configuration changes

* Merged all search and suggest field configurations into two remaining entries: Search.suggestQueryfields and Search.searchQueryfields
  We replaced the phonetic index all together. As a replacement we introduced a spell-checking fallback query implementation with
  a spellcheck index on product name, manufacturer and category names.

### Necessary update steps

* Drop the Mongo collections: "use epagesj; db.tasks.drop(); db.attributes.drop(); db.categories.drop();"

* Reindex all Stores: $PERL $EPAGES_CARTRIDGES/DE_EPAGES/RemoteSearch/Scripts/manageIndex.pl -storename Store -update -all
